Search or ask Docker

List Images

GET /images/json — Docker Engine API 1.57.

View Markdown
GET/images/json
Returns a list of images on the server. Note that it uses a different, smaller representation of an image than inspecting a single image.

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

all query

Show all images. Only images from a final layer (no children) are shown by default.

Type: boolean

All schema constraints and annotations
{
  "default": false,
  "type": "boolean"
}

filters query

A JSON encoded value of the filters (a map[string][]string) to process on the images list.

Available filters:

  • before=(<image-name>[:<tag>], <image id> or <image@digest>)
  • dangling=true
  • label=key or label="key=value" of an image label
  • reference=(<image-name>[:<tag>])
  • since=(<image-name>[:<tag>], <image id> or <image@digest>)
  • until=<timestamp>

Type: string

All schema constraints and annotations
{
  "type": "string"
}

shared-size query

Compute and show shared size as a SharedSize field on each image.

Type: boolean

All schema constraints and annotations
{
  "default": false,
  "type": "boolean"
}

digests query

Show digest information as a RepoDigests field on each image.

Type: boolean

All schema constraints and annotations
{
  "default": false,
  "type": "boolean"
}

manifests query

Include Manifests in the image summary.

Type: boolean

All schema constraints and annotations
{
  "default": false,
  "type": "boolean"
}

identity query

Include Identity in each manifest summary. Requires manifests=1.

Type: boolean

All schema constraints and annotations
{
  "default": false,
  "type": "boolean"
}

Request and responses

Response 200

Summary image data for the images matching the query

application/json

Type: array

Array item

Schema: ImageSummary

All schema constraints and annotations
{
  "items": {
    "$ref": "#/components/schemas/ImageSummary"
  },
  "type": "array"
}

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

#/components/schemas/ImageSummary

Complete operation contract
{
  "description": "Returns a list of images on the server. Note that it uses a different, smaller representation of an image than inspecting a single image.",
  "operationId": "ImageList",
  "parameters": [
    {
      "description": "Show all images. Only images from a final layer (no children) are shown by default.",
      "in": "query",
      "name": "all",
      "schema": {
        "default": false,
        "type": "boolean"
      }
    },
    {
      "description": "A JSON encoded value of the filters (a `map[string][]string`) to\nprocess on the images list.\n\nAvailable filters:\n\n- `before`=(`\u003cimage-name\u003e[:\u003ctag\u003e]`,  `\u003cimage id\u003e` or `\u003cimage@digest\u003e`)\n- `dangling=true`\n- `label=key` or `label=\"key=value\"` of an image label\n- `reference`=(`\u003cimage-name\u003e[:\u003ctag\u003e]`)\n- `since`=(`\u003cimage-name\u003e[:\u003ctag\u003e]`,  `\u003cimage id\u003e` or `\u003cimage@digest\u003e`)\n- `until=\u003ctimestamp\u003e`\n",
      "in": "query",
      "name": "filters",
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "Compute and show shared size as a `SharedSize` field on each image.",
      "in": "query",
      "name": "shared-size",
      "schema": {
        "default": false,
        "type": "boolean"
      }
    },
    {
      "description": "Show digest information as a `RepoDigests` field on each image.",
      "in": "query",
      "name": "digests",
      "schema": {
        "default": false,
        "type": "boolean"
      }
    },
    {
      "description": "Include `Manifests` in the image summary.",
      "in": "query",
      "name": "manifests",
      "schema": {
        "default": false,
        "type": "boolean"
      }
    },
    {
      "description": "Include `Identity` in each manifest summary. Requires `manifests=1`.",
      "in": "query",
      "name": "identity",
      "schema": {
        "default": false,
        "type": "boolean"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "items": {
              "$ref": "#/components/schemas/ImageSummary"
            },
            "type": "array"
          }
        }
      },
      "description": "Summary image data for the images matching the query"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    }
  },
  "summary": "List Images",
  "tags": [
    "Image"
  ]
}